v.net.salesman(1)

NAME
v.net.salesman - Create a cycle connecting given nodes (Traveling salesman problem). Note that TSP is NP-hard, heuristic algorithm is used by this module and created cycle may be sub optimal.

SYNOPSIS
v.net.salesman
v.net.salesman help
v.net.salesman [-g] input=string output=string [type=string[,string,...]] [alayer=integer] [nlayer=integer] [acolumn=string] ccats=string

  Flags:

-g  Use geodesic calculation for longitude-latitude locations

  Parameters:

input=string
    Name of input vector

output=string
    Name of output vector

type=string[,string,...]
    Arc type Options: line,boundary Default: line,boundary

alayer=integer
    Arc layer Default: 1

nlayer=integer
    Node layer (used for cities) Default: 2

acolumn=string
    Arcs' cost column (for both directions)

ccats=string
    Category values. Categories of points ('cities') on nodes (layer is specified by nlayer)

DESCRIPTION
v.net.salesman calculates the optimal route to visit nodes on a vector network.

EXAMPLE
TODO

SEE ALSO
d.path v.net.alloc v.net.iso v.net.steiner

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2003/08/09 15:29:16 $

Help Index